Install on mac 10.9 - Wrong recursion on upgrade to 1.0.1

User 576 | 11/5/2014, 2:19:59 PM

HI There I have trouble in installing graphlab-create 1.0.1 on my mac Here is the end of the log Something I can do about it? Best Regards Zvi File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 2029, in require

working_set.resolve(self.dist.requires(self.extras),env,installer))

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 580, in resolve

dist = best[req.key] = env.best_match(req, self, installer)

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkgresources.py", line 825, in bestmatch

return self.obtain(req, installer) # try and download/install

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 837, in obtain

return installer(requirement)

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/setuptools/dist.py", line 272, in fetchbuildegg

dist = self.__class__({'script_args':['easy_install']})

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/setuptools/dist.py", line 225, in init

_Distribution.__init__(self,attrs)

File "/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/distutils/dist.py", line 287, in init

self.finalize_options()

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/setuptools/dist.py", line 257, in finalize_options

ep.require(installer=self.fetch_build_egg)

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 2029, in require

working_set.resolve(self.dist.requires(self.extras),env,installer))

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 579, in resolve

env = Environment(self.entries)

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 748, in init

self.scan(search_path)

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 777, in scan

for dist in find_distributions(item):

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkgresources.py", line 1757, in findon_path

path_item,entry,metadata,precedence=DEVELOP_DIST

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkgresources.py", line 2151, in fromlocation

py_version=py_version, platform=platform, **kw

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkg_resources.py", line 2128, in init

self.project_name = safe_name(project_name or 'Unknown')

File "/Users/zvischutz/graphlab/lib/python2.7/site-packages/distribute-0.6.28-py2.7.egg/pkgresources.py", line 1139, in safename

return re.sub('[^A-Za-z0-9.]+', '-', name)

RuntimeError: maximum recursion depth exceeded

Comments

User 576 | 11/6/2014, 6:17:58 AM

Installing from scratch on a new virtualenv works fine